Package de.dlr.proseo.ui.gui
Class GUIOrderTemplateController
java.lang.Object
de.dlr.proseo.ui.gui.GUIBaseController
de.dlr.proseo.ui.gui.GUIOrderTemplateController
A controller for retrieving and handling order data
- Author:
- David Mazo
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncountOrderTemplates(String name, String products, Long recordFrom, Long recordTo, String sortCol, Boolean up) Count the orders specified by following parametersorg.springframework.web.reactive.function.client.WebClient.ResponseSpecRetrieves a list of orders based on various search parametersorg.springframework.web.context.request.async.DeferredResult<String> getIdentifier(String name, String products, Long recordFrom, Long recordTo, String sortby, Boolean up, org.springframework.ui.Model model) Retrieve the order list filtered by the specified parameters.Show the order viewMethods inherited from class de.dlr.proseo.ui.gui.GUIBaseController
calcShowPages, checkClearCache, configuredProcessors, enabledfacilities, facilities, fileClasses, grafana, handleHTTPError, handleHTTPWarning, hasroleconfigurationmgr, hasroleconfigurationreader, hasrolefacilitymgr, hasrolefacilitymonitor, hasrolefacilityreader, hasrolejobstepprocessor, hasrolemissionmgr, hasrolemissionreader, hasroleorderapprover, hasroleordermgr, hasroleordermonitor, hasroleorderplanner, hasroleorderreader, hasroleprocessorclassmgr, hasroleprocessorreader, hasroleproductarchivemgr, hasroleproductarchivereader, hasroleproductclassmgr, hasroleproductclassreader, hasroleproductmgr, hasroleproductreader, hasroleproductreaderall, hasroleproductrestrictedreader, missioncode, modelAddAttributes, parametertypes, processinglevels, processingModes, processorclassnames, productarchives, productclasses, productiontypes, productqualities, proseoversion, slicingtypes, spaceCrafts, user, userroles, visibilities, workflows
-
Constructor Details
-
GUIOrderTemplateController
public GUIOrderTemplateController()
-
-
Method Details
-
showOrderTemplate
Show the order view- Returns:
- the name of the order view template
-
getIdentifier
@GetMapping("/order-template-show/get") public org.springframework.web.context.request.async.DeferredResult<String> getIdentifier(@RequestParam(required=false,value="name") String name, @RequestParam(required=false,value="products") String products, @RequestParam(required=false,value="recordFrom") Long recordFrom, @RequestParam(required=false,value="recordTo") Long recordTo, @RequestParam(required=false,value="sortby") String sortby, @RequestParam(required=false,value="up") Boolean up, org.springframework.ui.Model model) Retrieve the order list filtered by the specified parameters.- Parameters:
name- The order name (name) as a pattern.products- The product class list (separated by ':').recordFrom- the first record to retrieverecordTo- the last record to retrievesortby- The sort column.up- The sort direction (true for 'up').model- The model to hold the data.states- The order states (separated by ':').from- The start date of the time period.to- The end date of the time period.- Returns:
- The deferred result containing the result.
-
countOrderTemplates
public Long countOrderTemplates(String name, String products, Long recordFrom, Long recordTo, String sortCol, Boolean up) Count the orders specified by following parameters- Parameters:
name- Identifier patternproducts- The product classes (divided by ':')recordFrom- the first record to retrieverecordTo- the last record to retrievesortCol- The sort criteriaup- Ascending if true, otherwise descendingstates- The states (divided by ':')from- The earliest start timeto- The latest start time- Returns:
- The number of orders found
-
get
public org.springframework.web.reactive.function.client.WebClient.ResponseSpec get(String name, String products, Long recordFrom, Long recordTo, String sortCol, Boolean up) Retrieves a list of orders based on various search parameters- Parameters:
products- the productrecordFrom- the first result to returnrecordTo- the last result to returnsortCol- the column on which to base the sortingup- true if the sorting should be ascending, false if it should be descendingidentifier- the order identifier- Returns:
- a ResponseSpec; providing access to the response status and headers, and as well as methods to consume the response body
-